AUSCOPE(1)

NAME
auscope - Network Audio System Protocol Filter

SYNOPSIS
auscope [ option ] ...

DESCRIPTION
auscope is an audio protocol filter that can be used to view the network packets being sent between an audio application and an audio server.

auscope is written in Perl, so you must have Perl installed on your machine in order to run auscope. If your Perl executable is not installed as /usr/local/bin/perl, you should modify the first line of the auscope script to reflect the Perl executable's location. Or, you can invoke auscope as

perl auscope [ option ] ...

assuming the Perl executable is in your path.

To operate, auscope must know the port on which it should listen for audio clients, the name of the desktop machine on which the audio server is running and the port to use to connect to the audio server. Both the output port (server) and input port (client) are automatically biased by 8000. The output port defaults to 0 and the input port defaults to 1.

ARGUMENTS

-i<input-port>
    Specify the port that auscope will use to take requests from clients.

-o<output-port>
    Determines the port that auscope will use to connect to the audio server.

-h<audio server name>
    Determines the desktop machine name that auscope will use to find the audio server.

-v<print-level>
    Determines the level of printing which auscope will provide. The print-level can be 0 or 1. The larger numbers provide greater output detail.

EXAMPLES

In the following example, mcxterm is the name of the desktop machine running the audio server, which is connected to the TCP/IP network host tcphost. auscope uses the desktop machine with the -h command line option, will listen for client requests on port 8001 and connect to the audio server on port 8000.

Ports (file descriptors) on the network host are used to read and write the audio protocol. The audio client auplay will connect to the audio server via the TCP/IP network host tcphost and port 8001:

    auscope -i1 -o0 -hmcxterm

    auplay -audio tcp/tcphost:8001 dial.snd

In the following example, the auscope verbosity is increased to 1, and the audio client autool will connect to the audio server via the network host tcphost, while displaying its graphical interface on another server labmcx:

    auscope -i1 -o0 -hmcxterm -v1

    autool -audio tcp/tcphost:8001 -display labmcx:0.0

SEE ALSO
nas(1), perl(1)

COPYRIGHT
Copyright 1994 Network Computing Devices, Inc.

AUTHOR
Greg Renda, Network Computing Devices, Inc.